cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Matthias Stöckel <Matthias.Stoec...@fztig938.bank.dresdner.net>
Subject JDK 1.3.1 compatibility for cvs-head
Date Mon, 05 Jul 2004 13:03:57 GMT
Hi,

I tried to compile a HEAD checkout of cocoon-2.1 and encountered a few issues about JDK 1.3.1
compatibility.

- jakarta-bcel-20040329.jar, "NoSuchMethodError" if used with JavaFlow [1].
- groovy-1.0-beta-5.jar, I get a "class file has wrong version 48.0, should be 47.0" during
compilation.
- src/java/org/apache/cocoon/acting/HttpCacheAction.java uses the Function Calendar.getTimeInMillis().
For JDK 1.3.1 it is protected.

Can anybode confirm this problems? Could we perhaps agree to use only jars in cocoon-2.1 which
have been compiled with a JDK 1.3.1?
Cheers,
  Matthias

[1]http://www.mail-archive.com/bcel-dev@jakarta.apache.org/msg00231.html

Mime
View raw message